<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SlideShowFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SlideShowFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SlideShowFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/SlideShowFactory.html"
               target="_top">Frames</a></li>
        <li><a href="SlideShowFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Class SlideShowFactory" class="title">Class SlideShowFactory</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.sl.usermodel.SlideShowFactory</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowFactory.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFSlideShowFactory</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideShowFactory.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideShowFactory</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">SlideShowFactory</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#SlideShowFactory--">SlideShowFactory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryNode-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root)</code>
                                    <div class="block">Creates a SlideShow from the given NPOIFSFileSystem.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-org.apache.poi.poifs.filesystem.DirectoryNode-java.lang.String-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root,
                                    java.lang.String&nbsp;password)</code>
                                    <div class="block">Creates a SlideShow from the given NPOIFSFileSystem, which may
                                        be password protected
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-">create</a></span>(java.io.File&nbsp;file)</code>
                                    <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                        the given File, which must exist and be readable.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-java.lang.String-">create</a></span>(java.io.File&nbsp;file,
                                    java.lang.String&nbsp;password)</code>
                                    <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                        the given File, which must exist and be readable, and
                                        may be password protected
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-java.lang.String-boolean-">create</a></span>(java.io.File&nbsp;file,
                                    java.lang.String&nbsp;password,
                                    boolean&nbsp;readOnly)</code>
                                    <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                        the given File, which must exist and be readable, and
                                        may be password protected
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.InputStream-">create</a></span>(java.io.InputStream&nbsp;inp)</code>
                                    <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                        the given InputStream.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.InputStream-java.lang.String-">create</a></span>(java.io.InputStream&nbsp;inp,
                                    java.lang.String&nbsp;password)</code>
                                    <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                        the given InputStream, which may be password protected.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-org.apache.poi.poifs.filesystem.POIFSFileSystem-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>
                                    <div class="block">Creates a SlideShow from the given NPOIFSFileSystem.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static &lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends
                                    <a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                       title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;<br><a
                                            href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                            title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.lang.String-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs,
                                    java.lang.String&nbsp;password)</code>
                                    <div class="block">Creates a SlideShow from the given NPOIFSFileSystem, which may
                                        be password protected
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SlideShowFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SlideShowFactory</h4>
                                <pre>public&nbsp;SlideShowFactory()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="create-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)
                                                                                                   throws java.io.IOException</pre>
                                <div class="block">Creates a SlideShow from the given NPOIFSFileSystem.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fs</code> - The <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                            title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                                        to read the document from
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs,
                                                                                                          java.lang.String&nbsp;password)
                                                                                                   throws java.io.IOException</pre>
                                <div class="block">Creates a SlideShow from the given NPOIFSFileSystem, which may
                                    be password protected
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fs</code> - The <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                            title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                                        to read the document from
                                    </dd>
                                    <dd><code>password</code> - The password that should be used or null if no password
                                        is necessary.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root)
                                                                                                   throws java.io.IOException</pre>
                                <div class="block">Creates a SlideShow from the given NPOIFSFileSystem.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>root</code> - The <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                            title="class in org.apache.poi.poifs.filesystem"><code>DirectoryNode</code></a>
                                        to start reading the document from
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-org.apache.poi.poifs.filesystem.DirectoryNode-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root,
                                                                                                          java.lang.String&nbsp;password)
                                                                                                   throws java.io.IOException</pre>
                                <div class="block">Creates a SlideShow from the given NPOIFSFileSystem, which may
                                    be password protected
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>root</code> - The <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                            title="class in org.apache.poi.poifs.filesystem"><code>DirectoryNode</code></a>
                                        to start reading the document from
                                    </dd>
                                    <dd><code>password</code> - The password that should be used or null if no password
                                        is necessary.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(java.io.InputStream&nbsp;inp)
                                                                                                   throws java.io.IOException,
                                                                                                          <a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                                                                             title="class in org.apache.poi">EncryptedDocumentException</a></pre>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given InputStream.

                                    <p>Note that using an <code>InputStream</code> has a higher memory footprint
                                        than using a <code>File</code>.</p>

                                    <p>Note that in order to properly release resources the
                                        SlideShow should be closed after use. Note also that loading
                                        from an InputStream requires more memory than loading
                                        from a File, so prefer <a
                                                href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-"><code>create(File)</code></a>
                                        where possible.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>inp</code> - The <code>InputStream</code> to read data from.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                    <dd><code><a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                 title="class in org.apache.poi">EncryptedDocumentException</a></code> -
                                        If the SlideShow given is password protected
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-java.io.InputStream-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(java.io.InputStream&nbsp;inp,
                                                                                                          java.lang.String&nbsp;password)
                                                                                                   throws java.io.IOException,
                                                                                                          <a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                                                                             title="class in org.apache.poi">EncryptedDocumentException</a></pre>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given InputStream, which may be password protected.

                                    <p>Note that using an <code>InputStream</code> has a higher memory footprint
                                        than using a <code>File</code>.</p>

                                    <p>Note that in order to properly release resources the
                                        SlideShow should be closed after use. Note also that loading
                                        from an InputStream requires more memory than loading
                                        from a File, so prefer <a
                                                href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-"><code>create(File)</code></a>
                                        where possible.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>inp</code> - The <code>InputStream</code> to read data from.</dd>
                                    <dd><code>password</code> - The password that should be used or null if no password
                                        is necessary.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                    <dd><code><a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                 title="class in org.apache.poi">EncryptedDocumentException</a></code> -
                                        If the wrong password is given for a protected file
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(java.io.File&nbsp;file)
                                                                                                   throws java.io.IOException,
                                                                                                          <a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                                                                             title="class in org.apache.poi">EncryptedDocumentException</a></pre>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given File, which must exist and be readable.
                                    <p>Note that in order to properly release resources the
                                        SlideShow should be closed after use.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>file</code> - The file to read data from.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                    <dd><code><a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                 title="class in org.apache.poi">EncryptedDocumentException</a></code> -
                                        If the SlideShow given is password protected
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-java.io.File-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(java.io.File&nbsp;file,
                                                                                                          java.lang.String&nbsp;password)
                                                                                                   throws java.io.IOException,
                                                                                                          <a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                                                                             title="class in org.apache.poi">EncryptedDocumentException</a></pre>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given File, which must exist and be readable, and
                                    may be password protected
                                    <p>Note that in order to properly release resources the
                                        SlideShow should be closed after use.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>file</code> - The file to read data from.</dd>
                                    <dd><code>password</code> - The password that should be used or null if no password
                                        is necessary.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                    <dd><code><a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                 title="class in org.apache.poi">EncryptedDocumentException</a></code> -
                                        If the wrong password is given for a protected file
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-java.io.File-java.lang.String-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;S extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                        title="interface in org.apache.poi.sl.usermodel">SlideShow</a>&lt;S,P&gt;&nbsp;create(java.io.File&nbsp;file,
                                                                                                          java.lang.String&nbsp;password,
                                                                                                          boolean&nbsp;readOnly)
                                                                                                   throws java.io.IOException,
                                                                                                          <a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                                                                             title="class in org.apache.poi">EncryptedDocumentException</a></pre>
                                <div class="block">Creates the appropriate HSLFSlideShow / XMLSlideShow from
                                    the given File, which must exist and be readable, and
                                    may be password protected
                                    <p>Note that in order to properly release resources the
                                        SlideShow should be closed after use.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>file</code> - The file to read data from.</dd>
                                    <dd><code>password</code> - The password that should be used or null if no password
                                        is necessary.
                                    </dd>
                                    <dd><code>readOnly</code> - If the SlideShow should be opened in read-only mode to
                                        avoid writing back
                                        changes when the document is closed.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The created SlideShow</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading the data
                                    </dd>
                                    <dd><code><a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                 title="class in org.apache.poi">EncryptedDocumentException</a></code> -
                                        If the wrong password is given for a protected file
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SlideShowFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/SlideShowFactory.html"
               target="_top">Frames</a></li>
        <li><a href="SlideShowFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
